﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataTree_Deleting
{
    public class SomeData
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public ObservableCollection<SomeData> Children { get; set; }

        public static ObservableCollection<SomeData> GenerateTreeData()
        {
            var data = new ObservableCollection<SomeData>();

            for (var i = 0; i < 6; i++)
            {
                var n = new SomeData
                {
                    Id = i,
                    Name = $"Item{i}",
                    Children = new ObservableCollection<SomeData>()
                };

                for (var j = 0; j < 4; j++)
                {
                    var n1 = new SomeData
                    {
                        Id = i + j,
                        Name = $"Item{i}{j}",
                        Children = new ObservableCollection<SomeData>()
                    };

                    n.Children.Add(n1);
                }

                data.Add(n);
            }

            return data;
        }

    }
}
